Subject: bug#6281: Fwd: Possible bug in coreutils-8.5 or associated gnulib version

From: Jim Meyering <[email-masked]>
Date: Thu, 27 May 2010 19:12:11 +0200

Chris Clayton wrote:
> I've just tried to build coreutils-8.5. The compilation finished OK,
> but make check hangs when
> gnulib-tests/test-lock is run. The log showed that the hang occurred
> somewhere after the
> message "Starting test_rwlock" was output, so I've added some
> additional debugging output to the
> test_rwlock function so that it now looks like:
...
> The final run shows that even if I leave the app to run for several
> minutes, it still fails to
> complete.
>
> I am running kernel 2.6.34 and my gcc is gcc (GCC) 4.4.5 20100525
> (prerelease) (this week's 4.4
> snapshot), although I get the same hang if I build and test with gcc-3.4.6.
>
> I'm not subscribed, so please cc me into any reply  More than happy to
> provide any other information
> you need to solve this.

Thanks for the report.

I cannot reproduce a problem with 2.6.34 and gcc-4.4.4.
Is there anything else about your environment that might be unusual?

Can you reproduce that using the latest from git?
If you're up to it, here's the build-from-git procedure:

    http://git.sv.gnu.org/cgit/coreutils.git/tree/README-hacking